Bug 9697 - Replace YUI buttons on the patron cards batch edit page with Bootstrap
Summary: Replace YUI buttons on the patron cards batch edit page with Bootstrap
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL: /cgi-bin/koha/patroncards/edit-batch....
Keywords:
Depends on: 9696
Blocks: 9779
  Show dependency treegraph
 
Reported: 2013-02-22 15:05 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9697 - Replace YUI buttons on the patron cards batch edit page with Bootstrap (15.99 KB, patch)
2013-02-22 15:34 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9697 - Replace YUI buttons on the patron cards batch edit page with Bootstrap (16.08 KB, patch)
2013-02-25 15:42 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9535: Follow-up - making QA script and tests happy (1.67 KB, patch)
2013-03-30 20:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9697 - Replace YUI buttons on the patron cards batch edit page with Bootstrap (16.20 KB, patch)
2013-03-30 20:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9535: Follow-up - making QA script and tests happy (1.67 KB, patch)
2013-03-30 20:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-02-22 15:05:59 UTC
The toolbar buttons on the patron cards batch edit page are generated by YUI. They should use Bootstrap instead.
Comment 1 Owen Leonard 2013-02-22 15:34:12 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-22 21:04:40 UTC
Sorry.
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/patroncards/edit-batch.tt
Comment 3 Owen Leonard 2013-02-25 15:28:33 UTC
This patch depends on the one for Bug 9696. Did you apply both?
Comment 4 Bernardo Gonzalez Kriegel 2013-02-25 15:41:44 UTC
No, sorry. Now it works.
Comment 5 Bernardo Gonzalez Kriegel 2013-02-25 15:42:15 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-03-02 17:52:22 UTC
Owen, can you please rebase and switch back to signed-off?


--------------------------
Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 9697 - Replace YUI buttons on the patron cards batch edit page with Bootstrap
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/patroncards/edit-batch.tt).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 9697 - Replace YUI buttons on the patron cards batch edit page with Bootstrap
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Comment 7 Katrin Fischer 2013-03-30 20:53:27 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2013-03-30 20:53:58 UTC
Created attachment 17057 [details] [review]
[PASSED QA] Bug 9697 - Replace YUI buttons on the patron cards batch edit page with Bootstrap

The patron card creator's batch edit page uses an include file to
display buttons styled by YUI. Bootstrap should be used instead.

This patch moves the contents of the include file into the main
template, this being the only page which requires it. YUI markup and
code has been removed and Bootstrap markup is added. The include file is
deleted.

To test, edit a batch of patrons in the patron card creator. Each
toolbar button should look correct and work correctly:

- Add item(s)
- Remove item(s)
- Delete batch
- Remove duplicates (Keeping Bug 9535 in mind)
- Export item(s)
- Export batch

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: all buttons works and look well. No errors.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Will fix some smaller things in a QA follow up.
Works as expected.
Comment 9 Katrin Fischer 2013-03-30 20:54:18 UTC
Created attachment 17058 [details] [review]
Bug 9535: Follow-up - making QA script and tests happy

- 2x single quotes for translated string in edit-batch.tt
Comment 10 Jared Camins-Esakov 2013-03-30 21:23:15 UTC
This patch has been pushed to master.